"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-310/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d51000>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d51090>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d51120>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d511b0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d51240>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d512d0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d51360>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d513f0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d51480>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d51510>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d515a0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d51630>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d516c0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d51750>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d517e0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d51870>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d51900>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d51990>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d51a20>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d51ab0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d51b40>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d51bd0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d51c60>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d51cf0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d51e10>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d51d80>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d51ea0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d51f30>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d51fc0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d52050>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d520e0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d52170>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d52200>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d52290>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d52320>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d523b0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d52440>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d524d0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d52560>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d525f0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d52680>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d52710>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d527a0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d52830>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d528c0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d52950>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d529e0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d52a70>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d52b00>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d52b90>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d52c20>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d52cb0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d52d40>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d52dd0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d52e60>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d52ef0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d52f80>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d53010>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d530a0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d53130>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d531c0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d53250>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d532e0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d53370>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d53400>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d535b0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d53490>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d53640>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d536d0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d53760>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d537f0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d53880>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d539a0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d53910>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d53a30>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d53ac0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d53b50>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d53c70>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d53be0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d53d00>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d53d90>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d53e20>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d53eb0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d53f40>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffff92d68040>)]
name: str = 'fr_HOCCN'
